# Uses of Class
org.codehaus.janino.Java.LocalVariableSlot

Packages that use Java.LocalVariableSlot
Package
Description
org.codehaus.janino
The core of the Janino Java compiler.

## Uses of Java.LocalVariableSlot in org.codehaus.janino

Fields in org.codehaus.janino declared as Java.LocalVariableSlot
Modifier and Type
Field
Description
`Java.LocalVariableSlot`
Java.LocalVariable.`slot`
The slot reserved for this local variable.
Methods in org.codehaus.janino that return Java.LocalVariableSlot
Modifier and Type
Method
Description
`Java.LocalVariableSlot`
CodeContext.`allocateLocalVariable(short size, String name, IType type)`
Allocates space for a local variable of the given size (1 or 2) on the local variable array.
Methods in org.codehaus.janino that return types with arguments of type Java.LocalVariableSlot
Modifier and Type
Method
Description
`List<Java.LocalVariableSlot>`
CodeContext.`getAllLocalVars()`
`List<Java.LocalVariableSlot>`
CodeContext.`saveLocalVariables()`
Remembers the current size of the local variables array.
Methods in org.codehaus.janino with parameters of type Java.LocalVariableSlot
Modifier and Type
Method
Description
`void`
Java.LocalVariable.`setSlot(Java.LocalVariableSlot slot)`